> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ecrypt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customer Subscriptions

> /// Get the customer and a list of subscriptions.  The default sort order is `created date descending`.



## OpenAPI

````yaml swagger-001.json GET /v1/customers/{Customer}/subscriptions
openapi: 3.0.4
info:
  title: Ecrypt API
  description: Ecrypt API
  termsOfService: https://ecrypt.com
  contact:
    name: Dev Support
    url: https://developer.ecrypt.com
    email: devsupport@ecrypt.com
  version: v1
servers:
  - url: https://api.ecrypt.com
    description: Live
security:
  - x-api-key: []
paths:
  /v1/customers/{Customer}/subscriptions:
    get:
      tags:
        - Customers Subscription
      summary: List Customer Subscriptions
      description: >-
        /// Get the customer and a list of subscriptions.  The default sort
        order is `created date descending`.
      parameters:
        - name: Customer
          in: path
          required: true
          schema:
            maxLength: 64
            minLength: 8
            pattern: ^[0-9A-Za-z-]*$
            type: string
            default: 00000000-0000-0000-0000-000000000000
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Customers.CustomerSubscriptionListResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.BadRequest'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '429':
          description: Too Many Requests
components:
  schemas:
    Ecrypt.Gateway.Api.Core.Model.Customers.CustomerSubscriptionListResponse:
      type: object
      properties:
        customerId:
          type: string
        customerSubscriptions:
          type: array
          items:
            $ref: >-
              #/components/schemas/Ecrypt.Gateway.Api.Core.Model.Customers.CustomerSubscriptionListItem
          nullable: true
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.BadRequest:
      required:
        - requestId
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.BadRequestError'
          nullable: true
        requestId:
          maxLength: 100
          minLength: 1
          type: string
          default: '000000000000000000000'
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.Customers.CustomerSubscriptionListItem:
      type: object
      properties:
        customerSubscriptionId:
          type: string
        installments:
          type: integer
          format: int32
          nullable: true
        cycleUnit:
          $ref: >-
            #/components/schemas/Ecrypt.Platform.Domain.Enums.SUBSCRIPTION_CYCLE_TYPE
        taxAmount:
          type: number
          format: decimal
        shippingAmount:
          type: number
          format: decimal
        surchargeAmount:
          type: number
          format: decimal
          nullable: true
        totalAmount:
          type: number
          format: decimal
        startDate:
          type: string
          format: date-time
        created:
          type: string
          format: date-time
        status:
          type: string
      additionalProperties: false
      nullable: true
    Ecrypt.Gateway.Api.Core.Model.BadRequestError:
      type: object
      properties:
        type:
          type: string
        message: {}
      additionalProperties: false
      nullable: true
    Ecrypt.Platform.Domain.Enums.SUBSCRIPTION_CYCLE_TYPE:
      enum:
        - 10
        - 20
        - 30
        - 50
        - 52
        - 70
        - 71
        - 73
        - 79
        - 90
        - 95
      type: integer
      format: int32
      x-enumNames:
        - DAILY
        - WEEKLY
        - BI_WEEKLY
        - SEMI_MONTHLY_FIRST_AND_FIFTEENTH
        - SEMI_MONTHLY_FIFTEENTH_AND_LAST
        - MONTHLY
        - MONTHLY_FIRST
        - QUARTERLY
        - MONTHLY_LAST
        - SEMI_ANNUALLY
        - ANNUALLY
  securitySchemes:
    x-api-key:
      type: apiKey
      description: Authorization by x-api-key inside request's header
      name: x-api-key
      in: header

````